{"openapi":"3.0.4","info":{"title":"List an entity's history information","description":"Retrieve a page of an entity's change history up to a particular point in AsAt time.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/entities/{entityType}/{entityUniqueId}/history":{"get":{"tags":["Entities"],"summary":"List an entity's history information","description":"Retrieve a page of an entity's change history up to a particular point in AsAt time.","operationId":"GetEntityHistory","parameters":[{"name":"entityType","in":"path","description":"The type of the entity to list the change history for.","required":true,"schema":{"maxLength":256,"minLength":1,"type":"string"}},{"name":"entityUniqueId","in":"path","description":"The universally unique identifier of the entity.","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to list change history information. Defaults to return the change history at the latest datetime if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing change history information from a previous call to list change\r\n            history information. This value is returned from the previous call. If a pagination token is provided the filter, sortBy\r\n            and asAt fields must not have changed since the original request.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many. Defaults to 100 if not specified.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set.\r\n            Read more about filtering results from LUSID here https://support.lusid.com/filtering-results-from-lusid.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"sortBy","in":"query","description":"A list of field names suffixed by \" ASC\" or \" DESC\"","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true}],"responses":{"200":{"description":"The change history of the provided entity.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfChangeInterval"},"example":{"values":[{"asAtModified":"2024-01-01T09:00:10.0000000+00:00","userIdModified":"UserId123","requestIdModified":"abcdef-qwert-yuiop-39101","reasonModified":"New trade","asAtVersionNumber":1,"action":"Create","attributeName":"Quantity","previousValue":{"labelValue":""},"newValue":{"labelValue":"10"},"effectiveRange":{"fromDate":"0001-01-01T00:00:00.0000000+00:00","untilDate":"9999-12-31T23:59:59.9999999+00:00"},"isInherited":false},{"asAtModified":"2024-01-01T09:00:10.0000000+00:00","userIdModified":"UserId123","requestIdModified":"abcdef-qwert-yuiop-54244","reasonModified":"Changed trade size decision","asAtVersionNumber":2,"action":"Update","attributeName":"Quantity","previousValue":{"labelValue":"10"},"newValue":{"labelValue":"15"},"effectiveRange":{"fromDate":"0001-01-01T00:00:00.0000000+00:00","untilDate":"9999-12-31T23:59:59.9999999+00:00"},"isInherited":false}],"href":"https://myco.lusid.com/api/api/entities/order/51447dc9-1831-445e-8c3b-ec9842908e1e/history","links":[]}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfChangeInterval"},"example":{"values":[{"asAtModified":"2024-01-01T09:00:10.0000000+00:00","userIdModified":"UserId123","requestIdModified":"abcdef-qwert-yuiop-39101","reasonModified":"New trade","asAtVersionNumber":1,"action":"Create","attributeName":"Quantity","previousValue":{"labelValue":""},"newValue":{"labelValue":"10"},"effectiveRange":{"fromDate":"0001-01-01T00:00:00.0000000+00:00","untilDate":"9999-12-31T23:59:59.9999999+00:00"},"isInherited":false},{"asAtModified":"2024-01-01T09:00:10.0000000+00:00","userIdModified":"UserId123","requestIdModified":"abcdef-qwert-yuiop-54244","reasonModified":"Changed trade size decision","asAtVersionNumber":2,"action":"Update","attributeName":"Quantity","previousValue":{"labelValue":"10"},"newValue":{"labelValue":"15"},"effectiveRange":{"fromDate":"0001-01-01T00:00:00.0000000+00:00","untilDate":"9999-12-31T23:59:59.9999999+00:00"},"isInherited":false}],"href":"https://myco.lusid.com/api/api/entities/order/51447dc9-1831-445e-8c3b-ec9842908e1e/history","links":[]}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfChangeInterval"},"example":{"values":[{"asAtModified":"2024-01-01T09:00:10.0000000+00:00","userIdModified":"UserId123","requestIdModified":"abcdef-qwert-yuiop-39101","reasonModified":"New trade","asAtVersionNumber":1,"action":"Create","attributeName":"Quantity","previousValue":{"labelValue":""},"newValue":{"labelValue":"10"},"effectiveRange":{"fromDate":"0001-01-01T00:00:00.0000000+00:00","untilDate":"9999-12-31T23:59:59.9999999+00:00"},"isInherited":false},{"asAtModified":"2024-01-01T09:00:10.0000000+00:00","userIdModified":"UserId123","requestIdModified":"abcdef-qwert-yuiop-54244","reasonModified":"Changed trade size decision","asAtVersionNumber":2,"action":"Update","attributeName":"Quantity","previousValue":{"labelValue":"10"},"newValue":{"labelValue":"15"},"effectiveRange":{"fromDate":"0001-01-01T00:00:00.0000000+00:00","untilDate":"9999-12-31T23:59:59.9999999+00:00"},"isInherited":false}],"href":"https://myco.lusid.com/api/api/entities/order/51447dc9-1831-445e-8c3b-ec9842908e1e/history","links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}